{% extends "core/base.html" %}
{% load static %}
{% load widget_tweaks %}

{% block content %}
<div class="login-box">
	<div class="login-logo">
		<img src="{% static 'img/logo/logo-safemilk.png' %}" width="100%">
	</div>
	<!-- /.login-logo -->
	<div class="login-box-body">
		<p class="login-box-msg">Cadastro Laticínio</p>
        <form class='form-vertical' style="margin-top: 20px;" action="{% url 'admin:register_laticinio' pk=pk %}" method="POST" enctype="multipart/form-data">
            {% csrf_token %}
            <!-- {{pk}} -->
            <input type="hidden" name="proprietario" id="id_proprietario" value="{{pk}}">
            <div class="form-group">
                <label>Nome</label>
                {% if form.nome.errors %}
                    {% render_field form.nome class+="form-control placeholder-no-fix"  aria-describedby="nome-error"%}
                    {% for erro in form.nome.errors %}
                        <span class="text-danger">{{erro}}</span>  
                    {% endfor %}
                {% else %}
                    {% render_field form.nome class+="form-control placeholder-no-fix" %}
                {% endif %}
            </div>
            <div class="form-group">
                <label>CNPJ</label>
                {% if form.cnpj.errors %}
                    {% render_field form.cnpj class+="form-control placeholder-no-fix"  aria-describedby="cnpj-error"%}
                    {% for erro in form.cnpj.errors %}
                        <span class="text-danger">{{ erro }}</span>  
                    {% endfor %}
                {% else %}
                    {% render_field form.cnpj class+="form-control placeholder-no-fix" %}
                {% endif %}
            </div>
            <div class="form-group">
                <label>Quantidade de Reagente</label>
                {% if form.quant_reagente.errors %}
                    {% render_field form.quant_reagente class+="form-control placeholder-no-fix"  aria-describedby="quant_reagente-error"%}
                    {% for erro in form.quant_reagente.errors %}
                        <span class="text-danger">{{erro}}</span>  
                    {% endfor %}
                {% else %}
                    {% render_field form.quant_reagente class+="form-control placeholder-no-fix" %}
                {% endif %}
            </div>
            <div class="form-group">
                <label>Localização</label>
                {% if form.local.errors %}
                    {% render_field form.local class+="form-control placeholder-no-fix"  aria-describedby="local-error"%}
                    {% for erro in form.local.errors %}
                        <span class="text-danger">{{erro}}</span>  
                    {% endfor %}
                {% else %}
                    {% render_field form.local class+="form-control placeholder-no-fix" %}
                {% endif %}
            </div>
            <!-- <div class="form-group">
                <label>Proprietario</label>
                <select name="proprietario" class="form-control placeholder-no-fix" required="" id="id_proprietario">
                    <option value="16">asdasdasdas22</option>
                </select>
            </div> -->

            <div class="pull-right">
                <a class="btn btn-default" href="{% url 'admin:list_laticinios' %}">Cancelar</a>
                <button class="btn btn-primary">Salvar</button>
            </div>
        </form>
    	<div class="row">
			<div class="col-xs-12 text-center">
				<br>
			</div>
		</div>
	</div>
	<!-- /.login-box-body -->
</div>
<!-- /.login-box -->
{% endblock content %}